- category: mandatory
  customVariables: []
  description: |-
    Call of JNDI lookup (Custom Rule)
  effort: 1
  labels:
  - konveyor.io/target=eap6
  - konveyor.io/target=eap7
  - konveyor.io/target=eap
  - konveyor.io/target=java-ee6+
  - konveyor.io/target=java-ee
  - konveyor.io/source
  - jndi
  links: []
  message: This method lookups an object using a JNDI String. During the migration
    process, some entity JNDI bindings may change.. Ensure that the JNDI Name does
    not need to change for JBoss EAP.. *For Example:*. ```java. (ConnectionFactory)initialContext.lookup("weblogic.jms.ConnectionFactory");.
    ```. *should become:*. ```java. (ConnectionFactory)initialContext.lookup("/ConnectionFactory");.
    ```
  ruleID: custom-rule-02000
  when:
    as: default
    java.referenced:
      location: METHOD_CALL
      pattern: javax.naming.Context.lookup*
